package com.zhiwei.manage.bean;

import java.io.Serializable;
import java.util.Date;

import org.springframework.stereotype.Component;

/**
 * 字段延时
 * 
 * @author Administrator
 *
 */
@Component
public class NewsDelayed implements Serializable {

	private String templateId;
	private String tempName;// 模板名
	private double newsDelayed;// 平均延时达标时间
	private int delayedInterval;// 测试间隔
	private int testCount;
	private String time;
	private String savetime;

	private String host;// 地址
	private int port;// 端口
	private String collection;// 表名
	private String dBName;// 数据库名
	private String pt;// 渠道
	private boolean startNow;
	private Date nextRun;
	private String spyderInfoId;

	public String getSpyderInfoId() {
		return spyderInfoId;
	}

	public void setSpyderInfoId(String spyderInfoId) {
		this.spyderInfoId = spyderInfoId;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getSavetime() {
		return savetime;
	}

	public void setSavetime(String savetime) {
		this.savetime = savetime;
	}

	public int getTestCount() {
		return testCount;
	}

	public void setTestCount(int testCount) {
		this.testCount = testCount;
	}

	public boolean isStartNow() {
		return startNow;
	}

	public void setStartNow(boolean startNow) {
		this.startNow = startNow;
	}

	public Date getNextRun() {
		return nextRun;
	}

	public void setNextRun(Date nextRun) {
		this.nextRun = nextRun;
	}

	public String getTemplateId() {
		return templateId;
	}

	public void setTemplateId(String templateId) {
		this.templateId = templateId;
	}

	public String getTempName() {
		return tempName;
	}

	public void setTempName(String tempName) {
		this.tempName = tempName;
	}

	public double getNewsDelayed() {
		return newsDelayed;
	}

	public void setNewsDelayed(double newsDelayed) {
		this.newsDelayed = newsDelayed;
	}

	public int getDelayedInterval() {
		return delayedInterval;
	}

	public void setDelayedInterval(int delayedInterval) {
		this.delayedInterval = delayedInterval;
	}

	public String getHost() {
		return host;
	}

	public void setHost(String host) {
		this.host = host;
	}

	public int getPort() {
		return port;
	}

	public void setPort(int port) {
		this.port = port;
	}

	public String getCollection() {
		return collection;
	}

	public void setCollection(String collection) {
		this.collection = collection;
	}

	public String getdBName() {
		return dBName;
	}

	public void setdBName(String dBName) {
		this.dBName = dBName;
	}

	public String getPt() {
		return pt;
	}

	public void setPt(String pt) {
		this.pt = pt;
	}

	@Override
	public String toString() {
		return "NewsDelayed [templateId=" + templateId + ", tempName=" + tempName + ", newsDelayed=" + newsDelayed
				+ ", delayedInterval=" + delayedInterval + ", testCount=" + testCount + ", time=" + time + ", savetime="
				+ savetime + ", host=" + host + ", port=" + port + ", collection=" + collection + ", dBName=" + dBName
				+ ", pt=" + pt + ", startNow=" + startNow + ", nextRun=" + nextRun + "]";
	}

}
